﻿@model DeleteDialogViewModel

@{
    Layout = null;
}

<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel4" class="text-left">@Model.Title</h3>
</div>
<div class="modal-body">
    <span class="pull-left"><strong>@Html.Raw(Model.Question)</strong></span>
    <p class="pull-left">@Model.Note</p>
</div>
<div class="modal-footer text-center">
    @using (Ajax.BeginForm(Model.ActionName, Model.ControllerName, Model.RouteValues, new AjaxOptions { HttpMethod = "Post", OnSuccess = "AjaxSuccess", OnFailure = "AjaxFailure" }, new { @role = "form" }))
    {
        <button id="btnDeleteButton" type="submit" class="btn btn-danger btn-block loading" data-loading-text="Deleting...">yes, i am sure</button>
    }
</div>

<script type="text/javascript">

    $(document).ready(function () {
        buttonInit();
    });

    function AjaxSuccess(data, status) {

        switch (data.Status) {
            case "Success":
                {
                    if (data.RedirectUrl == undefined) {
                        location.reload();
                    }
                    else {
                        window.location = data.RedirectUrl;
                    }
                    break;
                }
            case "Erorr":
                {
                    $("#btnDeleteButton").remove();
                    var msg = $(".modal-body");
                    msg.html('<span class="pull-left">' + data.Message + '</span>');

                }
        }
    }

    function AjaxFailure() {
        //$("#btnDeleteButton").button('reset');
        //var msg = $("#DeleteMessage");
        //msg.html("Error in establish connection with server.");
        buttonReset();
    }
</script>
